# 智能客服前台（微应用）

## 简介

从架构层面，把智能客服系统拆分成智能客服前台和后台。前台、后台单独部署及运行，前、后台升级互不影响，避免因升级后台对客服人员的使用影响。

前台作为微应用，集成到后台中。 功能板块分为：实时对话（Chat）、信息展示(InfoViewer)、员工操作(Console)

## 技术架构

采用 umijs@4 、antd@5 及 qiankun 微前端

## 启动及构建

**启动：**

```
// 使用 turbo
turbo run dev --filter web-sub
// 或者
turbo run start --filter web-sub

// 使用 yarn
yarn workspace web-sub dev
// 或者
yarn workspace web-sub start
```

**构建：**

```
// 使用 turbo
turbo run build --filter web-sub

// 使用 yarn
yarn workspace web-sub build
```
