import { defineConfig } from '@umijs/max';
import proxy from './proxy';
import pageRoutes from './router';

export default defineConfig({
  antd:{},
  model: {},
  initialState: {},
  request: { dataField: 'data' },
  routes: pageRoutes,
  publicPath: '/',
  proxy,
  history: { type: 'hash' },
  npmClient: 'npm',
  // 只设置 dev 阶段的 sourcemap
  // devtool: process.env.NODE_ENV === 'development' ? 'source-map' : false,
  devtool: 'source-map', // 开发阶段打开
});
