// 运行时配置

// 全局初始化数据配置，用于 Layout 用户信息和权限初始化
// 更多信息见文档：https://umijs.org/docs/api/runtime-config#getinitialstate
import type { RequestConfig } from 'umi';
import './theme.less';
import { http } from './utils/requestConfig';

interface InitialState {
  fetchUserInfo?: () => Promise<any>;
  currentUser?: any; // 当前登陆用户
}



// 全局初始状态
export async function getInitialState(): Promise<InitialState> {
  return {};
}

export const request: RequestConfig = {
  ...http,
};
